org.apache.commons.text.translate

## Class NumericEntityEscaper

- java.lang.Object
- - org.apache.commons.text.translate.CharSequenceTranslator
  - - org.apache.commons.text.translate.CodePointTranslator
    - - org.apache.commons.text.translate.NumericEntityEscaper

-     public class NumericEntityEscaper
      extends CodePointTranslator

  Translates codepoints to their XML numeric entity escaped value.
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericEntityEscaper()` Constructs a `NumericEntityEscaper` for all characters.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NumericEntityEscaper` | `above(int codepoint)` Constructs a `NumericEntityEscaper` above the specified value (exclusive).
    `static NumericEntityEscaper` | `below(int codepoint)` Constructs a `NumericEntityEscaper` below the specified value (exclusive).
    `static NumericEntityEscaper` | `between(int codepointLow, int codepointHigh)` Constructs a `NumericEntityEscaper` between the specified values (inclusive).
    `static NumericEntityEscaper` | `outsideOf(int codepointLow, int codepointHigh)` Constructs a `NumericEntityEscaper` outside of the specified values (exclusive).
    `boolean` | `translate(int codepoint, Writer out)` Translate the specified codepoint into another.

    - ### Methods inherited from class org.apache.commons.text.translate.CodePointTranslator

      `translate`

    - ### Methods inherited from class org.apache.commons.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericEntityEscaper

          public NumericEntityEscaper()

      Constructs a `NumericEntityEscaper` for all characters.

  - ### Method Detail

    - #### below

          public static NumericEntityEscaper below(int codepoint)

      Constructs a `NumericEntityEscaper` below the specified value (exclusive).

      Parameters:
        `codepoint` - below which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### above

          public static NumericEntityEscaper above(int codepoint)

      Constructs a `NumericEntityEscaper` above the specified value (exclusive).

      Parameters:
        `codepoint` - above which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### between

          public static NumericEntityEscaper between(int codepointLow,
                                                     int codepointHigh)

      Constructs a `NumericEntityEscaper` between the specified values (inclusive).

      Parameters:
        `codepointLow` - above which to escape
        `codepointHigh` - below which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### outsideOf

          public static NumericEntityEscaper outsideOf(int codepointLow,
                                                       int codepointHigh)

      Constructs a `NumericEntityEscaper` outside of the specified values (exclusive).

      Parameters:
        `codepointLow` - below which to escape
        `codepointHigh` - above which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### translate

          public boolean translate(int codepoint,
                                   Writer out)
                            throws IOException

      Translate the specified codepoint into another.
      Specified by:
        `translate` in class `CodePointTranslator`
      Parameters:
        `codepoint` - int character input to translate
        `out` - Writer to optionally push the translated output to
      Returns:
        boolean as to whether translation occurred or not
      Throws:
        `IOException` - if and only if the Writer produces an IOException

Copyright © 2014–2017 The Apache Software Foundation. All rights reserved.